Subject: Re: linux-next: build failure after merge of the clk tree

From: Sebastian Hesselbarth <[email-masked]>
Date: Wed, 29 Jan 2014 11:02:19 +0100

On 01/29/2014 04:32 AM, Stephen Rothwell wrote:
> After merging the clk tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
>
> drivers/clk/clk-si5351.c: In function 'si5351_i2c_probe':
> drivers/clk/clk-si5351.c:1314:2: error: too many arguments to function 'si5351_dt_parse'
>    ret = si5351_dt_parse(client, variant);
>    ^
> drivers/clk/clk-si5351.c:1296:12: note: declared here
>   static int si5351_dt_parse(struct i2c_client *client)
>              ^
>
> Caused by commit 9d43dc7f403d ("clk: si5351: remove variant from
> platform_data").
>
> I have used the clk tree from next-20140128 for today.  (Yes, I know that
> Linus already took this - I guess I won't have to worry about it
> tomorrow.)

I wasn't aware that Mike did not sent his PR for v3.14 yet and that
Linus will pick it up that quickly. The patch had been lying around
for a while but was obviously not well compile tested.

Anyway, my patch, my fault: Thanks for fixing it up and sorry for the
inconvenience.

Sebastian